/**
 * @package		SectionEx
 * @copyright	Copyright (C) 2008 Robert Kuster. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * @link        http://www.stackideas.com  
 *
 * SectionEx is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */ 
 
sectionex = {
	
	nav: function() {
		
		// set home as active view
		jQuery('#sx_nav li.item-home').addClass('active');
		jQuery('#sx_container .middle-left').css({backgroundPosition:"0 -546px"});
		jQuery('.sx_slide').hide();
		jQuery('#slide_home').show('fast');

		// hide button
		jQuery('#sx_action').hide();
		
		jQuery('#sx_nav li a').click( function() {
			
			if ( jQuery(this).hasClass('active') ) {
				return;
			}
			
			// get current link id
			var _id = jQuery(this).attr('id');
			
			// replace <code>nav_</code> prefix
			id = _id.replace(/nav_/gi, '');
			
			// set background-position
			var position = '';
			
			switch(id) {
				case 'home':
					position = '0 -546px';
					break;
				
				case 'config':
					position = '0 -512px';
					break;

				case 'support':
					position = '0 -480px';
					break;
				
				case 'demo':
					position = '0 -446px';
					break;
				
				case 'about':
					position = '0 -414px';
					break;
			}
			
			// move the arrow 			
			jQuery('#sx_container .middle-left').stop().animate(
				{backgroundPosition:"("+position+")"}, 
				{duration:200}
			);

			
			// remove all active class from menu item's parent
			jQuery('#sx_nav li').removeClass('active');
			
			// hide previous content
			jQuery('.sx_slide').hide();
			
			// now add active class to our menu item's parent
			// but we need to check it the link item equals to <code>config</code>
			// the we set it to section item
			// and time to show our content
			jQuery(this).parent().addClass('active');
			jQuery('#slide_' + id).show();
			
			
			// show button on certain page only
			if ( id == 'config' ) {
				// show save button
				jQuery('#sx_action').show();
				// show settings tabs
				jQuery('#sx_submenu_container').show();
				
				jQuery('#sx_submenu li').removeClass('current');
				
				jQuery('#sx_submenu li:first').addClass('current');
				jQuery('#slide_section').show();
			}
			else {
				// hide save button
				jQuery('#sx_action').hide();
				// hide settings tabs
				jQuery('#sx_submenu_container').hide();
			}
			
			return false;
			
		});
		
		
		
		jQuery('#sx_submenu li a').click( function() {
			
			jQuery('#sx_submenu li').removeClass('current');
			
			// get current link id
			var _id = jQuery(this).attr('id');
			
			// replace <code>nav_</code> prefix
			id = _id.replace(/nav_/gi, '');
			
			// hide previous content
			jQuery('.sx_slide').hide();
			
			jQuery(this).parent().addClass('current');
			jQuery('#slide_' + id).show();			
			
		});
		
	}
	
}




jQuery(document).ready( function() {
		
	// remove unnecessary joomla element from page
	jQuery('div#element-box div.t').hide();
	jQuery('div#element-box div.b').hide();
	jQuery('div#element-box div.m').css({
		'border': 0,
		'padding': 0
	});
	
	jQuery('#toolbar-box').hide();
	

	sectionex.nav();
});


Cufon.replace('.sx_slide h2',			{ fontFamily: 'ChunkFive' });
Cufon.replace('li.title',				{ fontFamily: 'Perspective Sans' });
