<?php
/**
 * @package		SectionEx
 * @copyright	Copyright (C) 2008 Robert Kuster. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * @link        http://www.stackideas.com  
 *
 * SectionEx is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */ 
 
defined('_JEXEC') or die('Restricted access');

$document 	=& JFactory::getDocument();

$document->addStylesheet( rtrim(JURI::root(),'/').'/administrator/components/com_sectionex/assets/css/styles.css' );
$document->addScript( rtrim(JURI::root(),'/').'/components/com_sectionex/assets/js/jquery-1.4.1.min.js' );
$document->addScript( rtrim(JURI::root(),'/').'/administrator/components/com_sectionex/assets/js/jquery.backgroundPosition.js' );
$document->addScript( rtrim(JURI::root(),'/').'/administrator/components/com_sectionex/assets/js/cufon-yui.js' );
$document->addScript( rtrim(JURI::root(),'/').'/administrator/components/com_sectionex/assets/js/ChunkFive.font.js' );
$document->addScript( rtrim(JURI::root(),'/').'/administrator/components/com_sectionex/assets/js/PerspectiveSans.font.js' );
$document->addScript( rtrim(JURI::root(),'/').'/administrator/components/com_sectionex/assets/js/config.js' );
?>

<div id="sectionex_wrapper">
	
	<h1 class="logo">SectionEx</h1>
	
	<div id="sx_nav">
		<div class="inner">
			<ul>
				<li class="title"><?php echo JText::_('SX NAV CPANEL'); ?></li>
				<li class="item item-home active"><a href="javascript:void(0);" id="nav_home"><?php echo JText::_('SX NAV HOME'); ?></a></li>
				<li class="item item-config"><a href="javascript:void(0);" id="nav_config"><?php echo JText::_('SX NAV CONFIG'); ?></a></li>				
				<li class="item item-support"><a href="javascript:void(0);" id="nav_support"><?php echo JText::_('SX NAV SUPPORT'); ?></a></li>
				<li class="item item-demo"><a href="javascript:void(0);" id="nav_demo"><?php echo JText::_('SX NAV DEMO'); ?></a></li>
				<li class="item item-about"><a href="javascript:void(0);" id="nav_about"><?php echo JText::_('SX NAV ABOUT'); ?></a></li>
			</ul>
		</div>
	</div>
	
	
	<div id="sx_container" class="active_home">
		
		<span class="top-left"><span class="top-right"></span></span>
		
		<div class="middle-left"><div class="middle-right">
			
			<!-- content start here -->
			<div id="sx_content" class="clearfix">
				
				<div id="sx_submenu_container" class="clearfix" style="display: none;">
					<ul id="sx_submenu">
						<li class="sub_item item-section current"><a href="javascript:void(0);" id="nav_section"><?php echo JText::_('SX NAV SECTION'); ?></a></li>
						<li class="sub_item item-category"><a href="javascript:void(0);" id="nav_category"><?php echo JText::_('SX NAV CATEGORY'); ?></a></li>
						<li class="sub_item item-article"><a href="javascript:void(0);" id="nav_article"><?php echo JText::_('SX NAV ARTICLE'); ?></a></li>
						<li class="sub_item item-layout"><a href="javascript:void(0);" id="nav_layout"><?php echo JText::_('SX NAV LAYOUT'); ?></a></li>
						<li class="sub_item item-others"><a href="javascript:void(0);" id="nav_others"><?php echo JText::_('SX NAV OTHERS'); ?></a></li>
					</ul>
				</div>

				<!-- ==============================  HOME  ============================== -->
				<div id="slide_home" class="sx_slide">
					<h2>Getting Started</h2>
				
					<p style="margin-bottom: 30px;">If you have been using Joomla! for your website, you must feel that it missing layout to display all categories in sections. 
					<a href="http://stackideas.com/products/sectionex.html" target="_blank">SectionEx</a> will list all articles within a section, grouped by categories. It combines and extends Joomla!&trade;'s built-in 
					Section Layout and Category List Layout.</p>		
					
					<p>Setting up <a href="http://stackideas.com/products/sectionex.html" target="_blank">SectionEx</a> for your website has never been easier. Just follow the steps below and you are good to go.</p>
					
					<ol class="numbered">
						
						<li class="li-1">
							<h3>Step 1</h1>
							<p>Open your Menus and select menu you wish to add SectionEx link.</p>
						</li>
						
						<li class="li-2">
							<h3>Step 2</h1>
							<p>Select menu item type to <span class="code">SectionEx -> Section-Category-Article List</span>.</p>
						</li>
						
						<li class="li-3">
							<h3>Step 3</h1>
							<p>Select <strong>Section</strong> from the parameter list on the right side.</p>
						</li>
						
						<li class="li-4">
							<h3>Step 4</h1>
							<p>Configure additional parameter for the output.</p>
						</li>
						
						<li class="li-5">
							<h3>Step 5</h1>
							<p>Now save your link. Done!</p>
						</li>
					</ol>
				</div>
				<!-- ==============================  HOME  ============================== -->
				

				<!-- ==============================  SETTINGS  ============================== -->
				<?php
				/*
				<div id="slide_config" class="sx_slide">
					<h2>SectionEx Settings</h2>
				
					<p>
					Here you can cofigure default value for your SectionEx. These values can be override later in your menu parameter settings.
					</p>
					
					<p style="margin-bottom: 30px;">
						We have divided all the settings in few sections:
						
						<ul>
							<li>
								<strong>Section: </strong>
								Everything regarding your Joomla!&trade; section.
							</li>
							
							<li>
								<strong>Category: </strong>
								All about category in your SectionEx.
							</li>
							
							<li>
								<strong>Article: </strong>
								Configure how you want to show your article in SectionEx.
							</li>
							
							<li>
								<strong>Layout: </strong>
								Set what column you want to show in your table. 
							</li>
							
							<li>
								<strong>Other: </strong>
								Other settings that cannot fit in above sections.
							</li>
						</ul> 
					</p>

				</div>
				*/
				?>
				<!-- ==============================  SETTINGS  ============================== -->
				
				<form name="" action="" method="post">
				<!-- ==============================  SECTION  ============================== -->
				<div id="slide_section" class="sx_slide sx_slide_submenu">
			
					<h2><?php echo JText::_('SX SLIDE SECTION'); ?></h2>
					<table cellspacing="1" class="adminlist">
						<tbody>
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Section title</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_section_name0" name="params[se_show_section_name]" <?php echo ($this->params->get('se_show_section_name', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_section_name0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_section_name1" name="params[se_show_section_name]" <?php echo ($this->params->get('se_show_section_name', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_section_name1">Show</label>
								</td>
							</tr>
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Section description</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_section_description0" name="params[se_show_section_description]" <?php echo ($this->params->get('se_show_section_description','0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_section_description0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_section_description1" name="params[se_show_section_description]" <?php echo ($this->params->get('se_show_section_description', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_section_description1">Show</label>
								</td>
							</tr>
			
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Filtering</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_filters0" name="params[se_filters]" <?php echo ($this->params->get('se_filters', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_filters0">Hide</label>
									<input type="radio" value="1" id="paramsse_filters1" name="params[se_filters]" <?php echo ($this->params->get('se_filters', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_filters1">Show</label>
								</td>
							</tr>
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Line break</span>
								</td>
								<td valign="top">
									<input type="radio" checked="checked" value="0" id="paramsse_section_list_br0" name="params[se_section_list_br]" <?php echo ($this->params->get('se_section_list_br', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_section_list_br0">No</label>
									<input type="radio" value="1" id="paramsse_section_list_br1" name="params[se_section_list_br]" <?php echo ($this->params->get('se_section_list_br', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_section_list_br1">Yes</label>
								</td>
							</tr>
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Pagination</span>
								</td>
								
								<td valign="top">
									<?php echo $this->paginationListHtml; ?>
								</td>
							</tr>
							
						</tbody>
					</table>
			
				</div>
				<!-- ==============================  SECTION  ============================== -->
				
				
				
				
				
				
				<!-- ==============================  CATEGORY  ============================== -->
				<div id="slide_category" class="sx_slide sx_slide_submenu">
					<h2><?php echo JText::_('SX SLIDE CATEGORY'); ?></h2>
					<table cellspacing="1" class="adminlist">
						<tbody>										
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Category Name</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_category_name0" name="params[se_show_category_name]" <?php echo ($this->params->get('se_show_category_name', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_category_name0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_category_name1" name="params[se_show_category_name]" <?php echo ($this->params->get('se_show_category_name', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_category_name1">Show</label>
								</td>
							</tr>
			
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Category Description</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_category_description0" name="params[se_show_category_description]" <?php echo ($this->params->get('se_show_category_description', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_category_description0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_category_description1" name="params[se_show_category_description]" <?php echo ($this->params->get('se_show_category_description', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_category_description1">Show</label>
								</td>
							</tr>
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Empty Categories</span>
								</td>
								<td valign="top">
									<input type="radio" checked="checked" value="0" id="paramsse_show_empty_category0" name="params[se_show_empty_category]" <?php echo ($this->params->get('se_show_empty_category', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_empty_category0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_empty_category1" name="params[se_show_empty_category]" <?php echo ($this->params->get('se_show_empty_category', '0') == '1')?'checked="checked"':'';?>/>
									<label for="paramsse_show_empty_category1">Show</label>
								</td>
							</tr>
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Link to Top</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_top_link0" name="params[se_show_top_link]" <?php echo ($this->params->get('se_show_top_link', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_top_link0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_top_link1" name="params[se_show_top_link]" <?php echo ($this->params->get('se_show_top_link', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_top_link1">Show</label>
								</td>
							</tr>
							
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Show Unauthorized Articles</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsshow_noauth0" name="params[show_noauth]" <?php echo ($this->params->get('show_noauth', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsshow_noauth0">Hide</label>
									<input type="radio" value="1" id="paramsshow_noauth1" name="params[show_noauth]" <?php echo ($this->params->get('show_noauth', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsshow_noauth1">Show</label>
									<input type="radio" value="" id="paramsshow_noauth2" name="params[show_noauth]" <?php echo ($this->params->get('show_noauth', '0') == '')?'checked="checked"':'';?> />
									<label for="paramsshow_noauth2">Use Joomla!&trade Setting</label>
								</td>
							</tr>
							
						
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Category Ordering</span>
								</td>
								
								<td valign="top">
									<?php echo $this->catOrderListHtml; ?>
								</td>
							</tr>
			
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Article Ordering</span>
								</td>
								<td valign="top">
									<?php echo $this->articleOrderListHtml; ?>
								</td>
							</tr>
							
						</tbody>
					</table>
				</div>
				<!-- ==============================  CATEGORY  ============================== -->
				
				
			
			
			
				<!-- ==============================  ARTICLE  ============================== -->
				<div id="slide_article" class="sx_slide sx_slide_submenu">
				<h2><?php echo JText::_('SX SLIDE ARTICLE'); ?></h2>
					<table cellspacing="1" class="adminlist">
						<tbody>
						
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Article Numbering</span>
								</td>
								<td>
									<input type="radio" value="0" id="paramsse_show_article_num0" name="params[se_show_article_num]" <?php echo ($this->params->get('se_show_article_num', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_article_num0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_article_num1" name="params[se_show_article_num]" <?php echo ($this->params->get('se_show_article_num', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_article_num1">Show</label>
								</td>
							</tr>
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Article Title</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_article_title0" name="params[se_show_article_title]" <?php echo ($this->params->get('se_show_article_title', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_article_title0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_article_title1" name="params[se_show_article_title]" <?php echo ($this->params->get('se_show_article_title', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_article_title1">Show</label>
								</td>
							</tr>
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Article Voting</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_voting0" name="params[se_show_voting]" <?php echo ($this->params->get('se_show_voting', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_voting0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_voting1" name="params[se_show_voting]" <?php echo ($this->params->get('se_show_voting', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_voting1">Show as table column</label>
									<input type="radio" value="2" id="paramsse_show_voting2" name="params[se_show_voting]" <?php echo ($this->params->get('se_show_voting', '0') == '2')?'checked="checked"':'';?> />
									<label for="paramsse_show_voting2">Show as comment</label>
								</td>
							</tr>
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Voting Count</span>
								</td>
								<td valign="top">
									<input type="radio" checked="checked" value="0" id="paramsse_show_voting_count0" name="params[se_show_voting_count]" <?php echo ($this->params->get('se_show_voting_count', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_voting_count0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_voting_count1" name="params[se_show_voting_count]" <?php echo ($this->params->get('se_show_voting_count', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_voting_count1">Show</label>
								</td>
							</tr>
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Article Hits</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_hits0" name="params[se_show_hits]" <?php echo ($this->params->get('se_show_hits', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_hits0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_hits1" name="params[se_show_hits]" <?php echo ($this->params->get('se_show_hits', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_hits1">Show as table column</label>
									<input type="radio" value="2" id="paramsse_show_hits2" name="params[se_show_hits]" <?php echo ($this->params->get('se_show_hits', '1') == '2')?'checked="checked"':'';?> />
									<label for="paramsse_show_hits2">Show as comment</label>
								</td>
							</tr>
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Created Date</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_create_date0" name="params[se_show_create_date]" <?php echo ($this->params->get('se_show_create_date', '2') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_create_date0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_create_date1" name="params[se_show_create_date]" <?php echo ($this->params->get('se_show_create_date', '2') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_create_date1">Show as table column</label>
									<input type="radio" value="2" id="paramsse_show_create_date2" name="params[se_show_create_date]" <?php echo ($this->params->get('se_show_create_date', '2') == '2')?'checked="checked"':'';?> />
									<label for="paramsse_show_create_date2">Show as comment</label>
								</td>
							</tr>
							
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Modified Date</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_modify_date0" name="params[se_show_modify_date]" <?php echo ($this->params->get('se_show_modify_date', '2') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_modify_date0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_modify_date1" name="params[se_show_modify_date]" <?php echo ($this->params->get('se_show_modify_date', '2') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_modify_date1">Show as table column</label>
									<input type="radio" value="2" id="paramsse_show_modify_date2" name="params[se_show_modify_date]" <?php echo ($this->params->get('se_show_modify_date', '2') == '2')?'checked="checked"':'';?> />
									<label for="paramsse_show_modify_date2">Show as comment</label>
								</td>
							</tr>
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Show Author</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_author0" name="params[se_show_author]" <?php echo ($this->params->get('se_show_author', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_author0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_author1" name="params[se_show_author]" <?php echo ($this->params->get('se_show_author', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_author1">Show as table column</label>
									<input type="radio" value="2" id="paramsse_show_author2" name="params[se_show_author]" <?php echo ($this->params->get('se_show_author', '1') == '2')?'checked="checked"':'';?> />
									<label for="paramsse_show_author2">Show as comment</label>
								</td>
							</tr>
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Use Auto-complete on Author's Name</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_use_autocomplete0" name="params[se_use_autocomplete]" <?php echo ($this->params->get('se_use_autocomplete', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_use_autocomplete0">No</label>
									<input type="radio" value="1" id="paramsse_use_autocomplete1" name="params[se_use_autocomplete]" <?php echo ($this->params->get('se_use_autocomplete', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_use_autocomplete1">Yes</label>
								</td>
							</tr>							
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Show Introtext</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_intro_text0" name="params[se_show_intro_text]" <?php echo ($this->params->get('se_show_intro_text', '3') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_intro_text0">Hide</label>
									<input type="radio" value="2" id="paramsse_show_intro_text2" name="params[se_show_intro_text]" <?php echo ($this->params->get('se_show_intro_text', '3') == '2')?'checked="checked"':'';?> />
									<label for="paramsse_show_intro_text2">Show as comment</label>
									<input type="radio" value="3" id="paramsse_show_intro_text3" name="params[se_show_intro_text]" <?php echo ($this->params->get('se_show_intro_text', '3') == '3')?'checked="checked"':'';?> />
									<label for="paramsse_show_intro_text3">Show as comment - expandable</label>
								</td>
							</tr>
			
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Introtext Initially Expanded</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_intro_txt_init_epxanded0" name="params[se_intro_txt_init_epxanded]" <?php echo ($this->params->get('se_intro_txt_init_epxanded', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_intro_txt_init_epxanded0">Collapsed</label>
									<input type="radio" value="1" id="paramsse_intro_txt_init_epxanded1" name="params[se_intro_txt_init_epxanded]" <?php echo ($this->params->get('se_intro_txt_init_epxanded', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_intro_txt_init_epxanded1">Expanded</label>
								</td>
							</tr>
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Show Images in Intro Text</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="0" id="paramsse_images_in_intro_text0" name="params[se_images_in_intro_text]" <?php echo ($this->params->get('se_images_in_intro_text', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_images_in_intro_text0">Hide</label>
									<input type="radio" value="1" id="paramsse_images_in_intro_text1" name="params[se_images_in_intro_text]" <?php echo ($this->params->get('se_images_in_intro_text', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_images_in_intro_text1">Show</label>
								</td>
							</tr>
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Use Short Intro Text</span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_intro_text_short0" name="params[se_show_intro_text_short]" <?php echo ($this->params->get('se_show_intro_text_short', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_intro_text_short0">No</label>
									<input type="radio" value="1" id="paramsse_show_intro_text_short1" name="params[se_show_intro_text_short]" <?php echo ($this->params->get('se_show_intro_text_short', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_intro_text_short1">Short if it exists</label>
									<input type="radio" value="2" id="paramsse_show_intro_text_short2" name="params[se_show_intro_text_short]" <?php echo ($this->params->get('se_show_intro_text_short', '0') == '2')?'checked="checked"':'';?> />
									<label for="paramsse_show_intro_text_short2">Short only</label>
								</td>
							</tr>							
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip"><?php echo JText::_('RSS');?></span>
								</td>
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_rss0" name="params[se_show_rss]" <?php echo ($this->params->get('se_show_rss', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_rss0"><?php echo JText::_('HIDE');?></label>
									<input type="radio" value="1" id="paramsse_show_rss1" name="params[se_show_rss]" <?php echo ($this->params->get('se_show_rss', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_rss1"><?php echo JText::_('SHOW');?></label>
								</td>
							</tr>														
							
						</tbody>
					</table>	
				</div>
				<!-- ==============================  ARTICLE  ============================== -->
			
			
				
				
				<!-- ==============================  LAYOUT  ============================== -->
				<div id="slide_layout" class="sx_slide sx_slide_submenu">
					<h2><?php echo JText::_('SX SLIDE LAYOUT'); ?></h2>
					<table cellspacing="1" class="adminlist">
						<tbody>

							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Theme</span>
								</td>
								
								<td valign="top">
									<select class="inputbox" id="paramsse_themes" name="params[se_themes]">
										<option value="default" <?php echo ($this->params->get('se_themes', 'default') == 'default')?'selected="selected"':'';?> >Default</option>
										<option value="shade" <?php echo ($this->params->get('se_themes', 'default') == 'shade')?'selected="selected"':'';?> >Shade</option>
										<option value="blue" <?php echo ($this->params->get('se_themes', 'default') == 'blue')?'selected="selected"':'';?> >Blue</option>
										<option value="green" <?php echo ($this->params->get('se_themes', 'default') == 'green')?'selected="selected"':'';?> >Green</option>
										<option value="peach" <?php echo ($this->params->get('se_themes', 'default') == 'peach')?'selected="selected"':'';?> >Peach</option>
										<option value="pink" <?php echo ($this->params->get('se_themes', 'default') == 'pink')?'selected="selected"':'';?> >Pinky</option>
									</select>
								</td>
							</tr>
							
							<!--
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Compress and cache CSS</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="0" id="paramsse_compress_cache_css0" name="params[se_compress_cache_css]" <?php echo ($this->params->get('se_compress_cache_css', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_compress_cache_css0">No</label>
									<input type="radio" value="1" id="paramsse_compress_cache_css1" name="params[se_compress_cache_css]" <?php echo ($this->params->get('se_compress_cache_css', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_compress_cache_css1">Yes</label>
								</td>
							</tr>							
							-->
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip">TOC</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_toc0" name="params[se_show_toc]" <?php echo ($this->params->get('se_show_toc', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_toc0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_toc1" name="params[se_show_toc]" <?php echo ($this->params->get('se_show_toc', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_tocs1">Show</label>
								</td>
							</tr>
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip"># Category Items</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="0" id="paramsse_toc_show_numitems0" name="params[se_toc_show_numitems]" <?php echo ($this->params->get('se_toc_show_numitems', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_toc_show_numitems0">Hide</label>
									<input type="radio" value="1" id="paramsse_toc_show_numitems1" name="params[se_toc_show_numitems]" <?php echo ($this->params->get('se_toc_show_numitems', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_toc_show_numitems1">Show</label>
								</td>
							</tr>								
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip"># TOC Columns</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="1" id="paramsse_toc_coolumnsc0" name="params[se_toc_coolumns]" <?php echo ($this->params->get('se_toc_coolumns', '2') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_toc_coolumns0">1</label>
									<input type="radio" value="2" id="paramsse_toc_coolumns1" name="params[se_toc_coolumns]" <?php echo ($this->params->get('se_toc_coolumns', '2') == '2')?'checked="checked"':'';?> />
									<label for="paramsse_toc_coolumns1">2</label>
								</td>
							</tr>							
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Table Heading</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="0" id="paramsse_show_table_headings0" name="params[se_show_table_headings]" <?php echo ($this->params->get('se_show_table_headings', '1') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_show_table_headings0">Hide</label>
									<input type="radio" value="1" id="paramsse_show_table_headings1" name="params[se_show_table_headings]" <?php echo ($this->params->get('se_show_table_headings', '1') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_show_table_headings1">Show</label>
								</td>
							</tr>
							
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Date Format</span>
								</td>
								<td valign="top">
									<?php $date	= JFactory::getDate(); ?>
									<select class="inputbox" id="paramsse_time_format" name="params[se_time_format]">
										<option value="DATE_FORMAT_LC1" <?php echo ($this->params->get('se_time_format', 'DATE_DBY') == 'DATE_FORMAT_LC1')?'selected="selected"':'';?> ><?php echo $date->toFormat(JText::_('DATE_FORMAT_LC1')); ?></option>
										<option value="DATE_FORMAT_LC2" <?php echo ($this->params->get('se_time_format', 'DATE_DBY') == 'DATE_FORMAT_LC2')?'selected="selected"':'';?> ><?php echo $date->toFormat(JText::_('DATE_FORMAT_LC2')); ?></option>
										<option value="DATE_FORMAT_LC3" <?php echo ($this->params->get('se_time_format', 'DATE_DBY') == 'DATE_FORMAT_LC3')?'selected="selected"':'';?> ><?php echo $date->toFormat(JText::_('DATE_FORMAT_LC3')); ?></option>
										<option value="DATE_FORMAT_LC4" <?php echo ($this->params->get('se_time_format', 'DATE_DBY') == 'DATE_FORMAT_LC4')?'selected="selected"':'';?> ><?php echo $date->toFormat(JText::_('DATE_FORMAT_LC4')); ?></option>
										<option value="DATE_DBY" <?php echo ($this->params->get('se_time_format', 'DATE_DBY') == 'DATE_DBY')?'selected="selected"':'';?> ><?php echo $date->toFormat(JText::_('DATE_DBY')); ?></option>
									</select>
								</td>
							</tr>
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">User Time Zone</span>
								</td>
								<td valign="top">							
									<input type="radio" value="0" id="paramsse_user_time_zone0" name="params[se_user_time_zone]" <?php echo ($this->params->get('se_user_time_zone', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_user_time_zone0">No</label>
									<input type="radio" value="1" id="paramsse_user_time_zone1" name="params[se_user_time_zone]" <?php echo ($this->params->get('se_user_time_zone', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_user_time_zone1">Yes</label>
								</td>
							</tr>							
							
							
						</tbody>
					</table>
				</div>
				<!-- ==============================  LAYOUT  ============================== -->
				
				
				
				
				<!-- ==============================  OTHERS  ============================== -->
				<div id="slide_others" class="sx_slide sx_slide_submenu">
					<h2><?php echo JText::_('SX SLIDE OTHER'); ?></h2>
					<table cellspacing="1" class="adminlist">
						<tbody>
						
							<tr class="row0">
								<td class="key">
									<span class="hasTip">Propagate Sort Settings</span>
								</td>
								
								<td valign="top">
									<select class="inputbox" id="paramsse_sort_propagate" name="params[se_sort_propagate]">
										<option value="0" <?php echo ($this->params->get('se_sort_propagate', '0') == '0')?'selected="selected"':'';?> >Menu Specific</option>
										<option value="1" <?php echo ($this->params->get('se_sort_propagate', '0') == '1')?'selected="selected"':'';?> >Session Wide</option>
									</select>
								</td>
							</tr>
			
							<tr class="row1">
								<td class="key">
									<span class="hasTip">Menu and Pathway Behavior</span>
								</td>
								<td valign="top">
									<select class="inputbox" id="paramsse_menu_behavior" name="params[se_menu_behavior]">
										<option value="0" <?php echo ($this->params->get('se_menu_behavior', '0') == '0')?'selected="selected"':'';?> > SectionEx Like Article Links</option>
										<option value="1" <?php echo ($this->params->get('se_menu_behavior', '0') == '1')?'selected="selected"':'';?> >Front Page Like Article Links</option>
									</select>
								</td>
							</tr>
							
							<tr class="row0">
								<td class="key">
									<span class="hasTip">SEF URLs</span>
								</td>
								
								<td valign="top">
									<input type="radio" value="0" id="paramsse_sef_short_links0" name="params[se_sef_short_links]" <?php echo ($this->params->get('se_sef_short_links', '0') == '0')?'checked="checked"':'';?> />
									<label for="paramsse_sef_short_links0">Normal</label>
									<input type="radio" value="1" id="paramsse_sef_short_links1" name="params[se_sef_short_links]" <?php echo ($this->params->get('se_sef_short_links', '0') == '1')?'checked="checked"':'';?> />
									<label for="paramsse_sef_short_links1">Short - without the category part</label>
								</td>
							</tr>
							
						</tbody>
					</table>	
				</div>
				<!-- ==============================  OTHERS  ============================== -->
				
				<div id="sx_action">
					<input type="submit" id="save_settings" value="Save Settings" class="button" />
				</div>
				
	
				<input type="hidden" name="option" value="com_sectionex" />
				<input type="hidden" name="task" value="saveParams" />
				</form>					
				
				<!-- ==============================  SUPPORT  ============================== -->
				<div id="slide_support" class="sx_slide">
					<h2><?php echo JText::_('SX SLIDE SUPPORT'); ?></h2>
					<p>Feel free to access to our support forum to get help. Or please consider purchasing our <a href="http://stackideas.com/products.html" target="_blank">Support Plan</a> to get
					professional support from our experienced developers.</p>
					
					<p>Other support section:</p>
					
					<ul>
						<li><?php echo JText::_( 'INST_DOCUMENTATION_INFO'); ?> <a href="http://stackideas.com/faq.html">http://stackideas.com/faq.html</a></li>
						<li><?php echo JText::_( 'INST_SUPPORT_FORUM_INFO'); ?> <a href="http://stackideas.com/forum/">http://stackideas.com/forum/</a></li>
					</ul>	
				</div>
				<!-- ==============================  SUPPORT  ============================== -->
				
				
				
				
				<!-- ==============================  DEMO  ============================== -->
				<div id="slide_demo" class="sx_slide">
					<h2><?php echo JText::_('SX SLIDE DEMO'); ?></h2>
					<p>View our live demo and see for yourself the capability of this component.</p>
					
					<ol>
						<li><a href="http://demo.stackideas.com/sectionex-sample.html" target="_blank">Basic Layout</a></li>
						<li><a href="http://demo.stackideas.com/sectionex-expandable.html" target="_blank">Expandable</a></li>
						<li><a href="http://demo.stackideas.com/sectionex-multiple-sections.html" target="_blank">Multiple Sections</a></li>
						<li><a href="http://demo.stackideas.com/sectionex-filterings.html" target="_blank">Filtering or Search</a></li>
					</ol>		
				</div>
				<!-- ==============================  DEMO  ============================== -->
			
			
			
				
				<!-- ==============================  ABOUT  ============================== -->
				<div id="slide_about" class="sx_slide">
					<h2><?php echo JText::_('SX SLIDE CREDITS'); ?></h2>
					<p>
						<a href="http://stackideas.com/products/sectionex.html" target="_blank">SectionEx</a> was originally developed by <a href="http://www.joomla.rkuster.com/" target="_blank">Robert Kuster</a> and it is licensed under GNU/GPL.
						Since late 2009, Robert has decided to drop the support for the project and with full permissions from Robert, <a href="http://stackideas.com" target="_blank">Stack Ideas</a> has taken over the development for this 
						component and will continue fixing issues and adding new features to it.
					</p>
					
					<h2 style="margin-top: 30px;"><?php echo JText::_('SX SLIDE UPDATES');?></h2>
					<div>Current version: <strong><?php echo $this->getCurrentVersion();?></strong></div>
					<?php
					$release	= $this->getAvailableVersion();
					?>
					<div>
						Available version: <strong><?php echo $release->version;?></strong>
						<?php if($this->getCurrentVersion() != $release->version){ ?>
						(Click <a href="http://stackideas.com/downloads.html" target="_blank">here</a> to download.)
						<?php } ?>
					</div>
					<div>Changelog: <strong><a href="<?php echo $release->changelog;?>" target="_blank"><?php echo $release->changelog;?></a></strong></div>
				</div>
				<!-- ==============================  ABOUT  ============================== -->

				
			</div>
			<!-- content end here -->

			
		</div></div>
		
		<span class="bottom-left"><span class="bottom-right"></span></span>
		
	</div>

	<div style="text-align: center; padding: 20px 0; clear: both;"><a href="http://stackideas.com">Powered by SectionEx for Joomla!</a></div>

</div>