<?php
/*--------------------------------------------------------------*\
	Description:	HTML template class.
	Author:			Brian Lozier (brian@massassi.net)
	License:		Please read the license.txt file.
	Last Updated:	11/27/2002
\*--------------------------------------------------------------*/

/**
 * @package		SectionEx
 * @copyright	Copyright (C) 2008 Robert Kuster. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * @link        http://www.stackideas.com  
 *
 * SectionEx is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
 * is derivative of works licensed under the GNU General Public License or
 * other free or open source software licenses.
 * See COPYRIGHT.php for copyright notices and details.
 */ 
if( !class_exists( 'SeThemes' ) )
{
	class SeThemes
	{
	    var $vars; /// Holds all the template variables		
	    var $_theme;
		
		/**
		 * Pass theme name from config
		 */		 
		function SeThemes()
		{
			global $mainframe;
			$params 	= &$mainframe->getParams();
						
			
			$theme = $params->get('se_themes', 'default');
			
			$this->_theme = $theme;
		}
		
	    /**
	     * Set a template variable.
	     */
	    function set($name, $value)
		{
			$this->vars[$name] = $value;
	    }
	    
	    /**
	     * return the current theme
	     */		 	    
	    function getThemes()
	    {
			jimport('joomla.filesystem.folder');
			
			$this->_theme	= (empty($this->_theme)) ? 'default' : $this->_theme;
			
			if(!JFolder::exists( JPATH_ROOT.DS.'components'.DS.'com_sectionex'.DS.'themes'.DS.$this->_theme) )
			{
				$this->_theme	= 'default';
			}
	    	return $this->_theme;
	    }
	
	    /**
	     * Open, parse, and return the template file.
	     *
	     * @param $file string the template file name
	     */
	    function fetch( $file )
		{
			// @todo: add configurable path
			$path	= SECTIONEX_THEMES . DS . $this->_theme . DS . $file;
			
			jimport( 'joomla.filesystem.file' );
			
			if( JFile::exists( $path ) )
			{
				$file	= $path;
			}
			
			if( isset( $this->vars ) )
			{
				extract($this->vars);          // Extract the vars to local namespace
			}

	        ob_start();                    // Start output buffering
	        include($file);                // Include the file
	        $contents = ob_get_contents(); // Get the contents of the buffer
	        ob_end_clean();                // End buffering and discard
	        return $contents;              // Return the contents
	    }
	}
}